/* variables */
/* mixins */
/* brand logo */
.main-sidebar .brand-link {
  text-align: center;
}
.main-sidebar .brand-text {
  position: relative;
  width: 200px;
  margin-top: -10px;
  margin-bottom: -5px;
}
.main-header .brand-text {
  position: relative;
  width: 200px;
  margin-top: -10px;
  margin-bottom: -5px;
}
/* notification */
.nav-item.dropdown .dropdown-menu .dropdown-item:not(.dropdown-header):not(.dropdown-footer) {
  white-space: normal;
}
/* sortable th */
.sortable-th {
  color: var(--primary);
  text-decoration: underline;
  cursor: pointer;
}
.sortable-th:hover {
  filter: brightness(80%);
}
.sortable-th[aria-sort='ascending'],
.sortable-th[aria-sort='descending'] {
  color: var(--danger);
}
/* popover */
.ellipsis-popover {
  display: inline-block;
  max-width: 100px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
/* pager */
nav > ul.pagination {
  margin-bottom: 0;
  padding-bottom: 10px;
}
/* card */
.card-title > small {
  display: block;
}
/* form */
input:valid {
  color: var(--success);
}
input:invalid {
  color: var(--danger);
}
/* feedback */
.has-danger .invalid-feedback,
.has-danger .invalid-tooltip,
.has-success .valid-feedback,
.has-success .valid-tooltip {
  display: block;
}
/* custom-file */
.custom-file-input:lang(ja) ~ .custom-file-label::after {
  content: "参照";
}
/* doubleScroll */
.doubleScroll-scroll-wrapper {
  z-index: 10;
}
/* chart */
.chart-container {
  height: 500px;
}
@media (min-width: 576px) {
  .chart-container {
    height: 475px;
  }
}
@media (min-width: 768px) {
  .chart-container {
    height: 450px;
  }
}
@media (min-width: 992px) {
  .chart-container {
    height: 425px;
  }
}
@media (min-width: 1200px) {
  .chart-container {
    height: 400px;
  }
}
/* card widget */
.card-widget-collapse .card-header {
  cursor: pointer;
}
/* copiable span */
span.copiable {
  cursor: copy;
}
/* fullcalendar */
.fc-day-sat {
  background-color: #eaf4ff;
}
.fc-day-sun {
  background-color: #ffeaea;
}
